Skip to main content
GET
/
leases
cURL
curl --request GET \
  --url https://api.contiguity.com/numbers/leases \
  --header 'Authorization: Bearer <token>'
{
  "id": "req_xxxxxxxxxxxxxxxx",
  "timestamp": 1770363397691,
  "api_version": "v2026.2.6",
  "object": "response",
  "data": {
    "available": 10,
    "numbers": [
      {
        "id": "+13059478667",
        "status": "available",
        "number": {
          "e164": "+13059478667",
          "formatted": "+1 (305) 947-8667"
        },
        "location": {
          "country": "US",
          "region": "FL",
          "city": "Miami"
        },
        "carrier": "T-Mobile",
        "capabilities": {
          "intl_sms": true,
          "channels": [
            "sms",
            "mms",
            "imessage"
          ]
        },
        "health": {
          "reputation": 0.9,
          "previous_owners": 1
        },
        "data": {
          "requirements": [
            "imessage_entitlement_required"
          ],
          "e911_capable": true
        },
        "created_at": 1718851200,
        "pricing": {
          "currency": "USD",
          "upfront_fee": 2.99,
          "monthly_rate": 19.99
        }
      }
    ]
  }
}
Searching by criteria (e.g. carrier, location, etc.) is not supported yet, but is planned.
Contiguity only returns the leases you may be eligible for, rather than showing all available leases. If you need access to a broader selection of leases than what’s currently visible to you, please reach out to us via email or Discord.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Get all phone numbers available for lease

id
string
required
Example:

"req_xxxxxxxxxxxxxxxx"

timestamp
number
required
Example:

1770363397691

api_version
string
required
Example:

"v2026.2.6"

object
string
required
Example:

"response"

data
object
required